%define languageenglazy Dutch
%define languagecode    nl
%define lc_ctype        nl_NL

Name:           hunspell-%{languagecode}
Version:        2.10
Release:        %mkrel 2
Summary:        %{languageenglazy} hunspell dictionaries
License:        BSD or CC-BY
Group:          System/Internationalization
URL:            http://www.opentaal.org/english.php
Source0:        OpenTaal-210G-LO.oxt

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-nl
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-nl_AW = %{version}-%{release}
Provides:       hunspell-nl_BE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-nl_AW = 2
Provides:       dictionary-nl_BE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x nl_NL.*

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc description/desc_en_US.txt description/desc_nl_NL.txt README_nl_NL.txt license_en_EN.txt licentie_nl_NL.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.10-2.mga3
+ Revision: 353607
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 2.10-1.mga3
+ Revision: 344481
- sync version with Fedora: 2.10
- update Source0
- stop installing language aliases

* Tue Mar 20 2012 kamil <kamil> 2.00-6.mga2
+ Revision: 224775
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 2.00-5.mga2
+ Revision: 209021
- use better obsoleting of myspell

* Tue Feb 07 2012 kamil <kamil> 2.00-4.mga2
+ Revision: 206063
- hunspell is now suggested not required
- stop requiring locales

* Sun Jan 08 2012 kamil <kamil> 2.00-3.mga2
+ Revision: 193212
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype} and nl_ variants
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype} and nl_ variants
  o obsolete myspell- nl dictionaries
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
- clean spec

* Sat Mar 12 2011 dmorgan <dmorgan> 2.00-2.mga1
+ Revision: 68984
- imported package hunspell-nl

